import { request } from '@/service/request';

/**
 * 分页获取热门搜索
 * @param params
 * @returns
 */
export function fetchGethotSearch(params: any) {
  return request<Api.operation.HotSearch[]>({
    url: '/smqjh-system/app/v1/SearchTerm/page',
    method: 'get',
    params
  });
}
/**
 * 新增热门搜索
 * @param params
 * @returns
 */

export function fetchAddHotSearch(params: any) {
  return request({
    url: '/smqjh-system/app/v1/SearchTerm',
    method: 'post',
    data: params
  });
}

/**
 * 删除热门搜索

*/
export function fetchDeleteHotSearch(params: any) {
  return request({
    url: '/smqjh-system/app/v1/SearchTerm',
    method: 'delete',
    data: params
  });
}

/**
 * 修改热门搜索
 * @param params
 * @returns

 */
export function fetchUpdateHotSearch(params: any) {
  return request({
    url: '/smqjh-system/app/v1/SearchTerm',
    method: 'put',
    data: params
  });
}
